Welcome to EDAboard.com

Welcome to our site! EDAboard.com is an international Electronics Discussion Forum focused on EDA software, circuits, schematics, books, theory, papers, asic, pld, 8051, DSP, Network, RF, Analog Design, PCB, Service Manuals... and a whole lot more! To participate you need to register. Registration is free. Click here to register now.

Failed to start cdsdoc, please help !!!

Status
Not open for further replies.

jonna

Newbie level 1
Joined
Aug 10, 2007
Messages
1
Helped
0
Reputation
0
Reaction score
0
Trophy points
1,281
Activity points
1,312
cdsdoc

Hi everyone,
I have installed cadence IC 610 in Redhat ES 5,
When i try to start cdsdoc, i get the following error :
"error while loading shared libraries: libpthread.so.0: cannot open shared object file: No such file or directory

although libpthread.so.0 is in /lib directory, (/lib is set into $path already)

Anyone can help me out this trouble ?

tHank you

Added after 13 minutes:

problem solved! for anyone who get this problem.
locate cdsdoc, then comment the line
export LD_ASSUME_KERNEL=2.2.5

Added after 33 minutes:

Hi, I still get problem with cdsdoc. When trying to read any document, i get the error

fail to start CDSDOC server obServer

in the console
xxx/bin/obServer: error while loading shared libraries: libnsl.so.1: cannot open share object ...

An error that's pretty similar to error above. But I could not edit obServer file, it's a binary file. Any suggestion ?
 

Hughes

Advanced Member level 3
Joined
Jun 10, 2003
Messages
717
Helped
113
Reputation
226
Reaction score
25
Trophy points
1,298
Activity points
5,984
cdsdoc java

You may try to edit the script file of "cdsdoc".
In script "cdsdoc", it set LD_ASSUME_KERNEL to some value according the os version it detects. May be it is set to a wrong value. The environment variable will be inherited by the child process "obServer".
 

najhannur

Newbie level 4
Joined
May 9, 2007
Messages
5
Helped
1
Reputation
2
Reaction score
1
Trophy points
1,283
Activity points
1,309
cdsdoc libpthread.so.0

Hi ,

You might need to find the library missing or install the patches for the RHEL5.
BTW it is good is you can check cadence lifecycle..I am not sure they support RHEL 5.
I had similar problem before with RHEL 5.

Good luck.
 

hpeda

Newbie level 4
Joined
Nov 28, 2007
Messages
5
Helped
0
Reputation
0
Reaction score
0
Trophy points
1,281
Activity points
1,370
cdsdoc

hi guys
i have the same problem,have you solved?
 

roli

Full Member level 5
Joined
Apr 29, 2001
Messages
246
Helped
9
Reputation
20
Reaction score
9
Trophy points
1,298
Location
'SiliconWafer' Island
Activity points
1,817
libc6.1-1.so.2 ubuntu

Sorry to bump this thread again.

I have the same problem, and it is NOT resolved with changing "LD_ASSUME_KERNEL" variable:


11:43am [centos-lap-roli]> setenv LD_ASSUME_KERNEL 2.4.1
11:43am [centos-lap-roli]> cdsdoc
/bin/sh: error while loading shared libraries: libdl.so.2: cannot open shared object file: No such file or directory


Has anybody solved ?
 

leohart

Full Member level 4
Joined
Nov 10, 2006
Messages
226
Helped
14
Reputation
28
Reaction score
1
Trophy points
1,298
Activity points
2,718
libpthread.so.0 and cdsdoc and centos

try ln -s /lib/*** cadence_install_path/tools/lib/***

*** is the lib missing

but remeber to do the backup first...
 

bharundi

Member level 5
Joined
Dec 31, 1999
Messages
90
Helped
5
Reputation
10
Reaction score
5
Trophy points
1,288
Activity points
670
cdsdoc edaboard

leohart said:
try ln -s /lib/*** cadence_install_path/tools/lib/***

*** is the lib missing

but remeber to do the backup first...

I tried that, but still does not work. Did anyone figure this out?

Thx,
 

hspice

Newbie level 5
Joined
Jul 10, 2004
Messages
8
Helped
0
Reputation
0
Reaction score
0
Trophy points
1,281
Activity points
71
edaboard libstdc++-libc6.1-1.so.2

I got the same problem with you. After go through your discussion, I checked cdsdoc again and solve the problem, hope these steps can help you.

1. locate cdsdoc
2. Goto /CDS_ROOT/tools/bin/cdsdoc and edit cdsdoc
3. Search and find "LD_ASSUME_KERNEL=2.2.5" , it should be at some "if" structure. Looks like they use IF structure for some x86 and AMD adaptive
4. Change "2.2.5" to your KERNEL version
5. Run cdsdoc
6. Done


GOOD LUCK
 

rover8898

Newbie level 6
Joined
Nov 25, 2005
Messages
11
Helped
0
Reputation
0
Reaction score
0
Trophy points
1,281
Activity points
1,468
cdsdoc libstdc++-libc6.1-1.so.2

Hello,

Is there a particular command that tells you which is your kernel version?

Thanks
-Roger

Added after 2 minutes:

Ignore my previous question. I Just googled the answer.

-Roger
 

rover8898

Newbie level 6
Joined
Nov 25, 2005
Messages
11
Helped
0
Reputation
0
Reaction score
0
Trophy points
1,281
Activity points
1,468
cdsdoc starting viewer

Hello all (again),

I changed the LD_ASSUME_KERNEL in the cdsdoc file to the the value of my kernel and it still it doesn't work. I still get the message that libnsl.so.1 cannot be opened when I double-click on a particular help topic. I've been on this bug for a week now and I think I have hit a brick wall. Hence I would appreciate if someone would answer the following questions:

1. Must the ISR patches (for IC610) be installed, for cdsdoc to function properlly?
2. Do other files besides cdsdoc need to be edited (to correct the kernel version)?
3. I am using RHEL 5.1. Must it be updated ? (if so, I do not know how.., got to do more reading:( )
4. Is it importamt that RHEL be running in client, client+workstation or client+workstation+virtualization mode? (I have installed RHEL 5 client. Since I am new to linux, I wanted to start with sometning that sounded simple)

Thank you
-Roger
 

k.i.d

Newbie level 1
Joined
Jan 3, 2009
Messages
1
Helped
0
Reputation
0
Reaction score
0
Trophy points
1,281
Activity points
1,284
cdsdoc install libthread.so.1

Try to comment this part of your cdsdoc file:

Code:
# Set variable for Java to run on RedHat Linux 7.1
#
#if [ $PLATFORM = "lnx86" ]; then
#	if [ $ARCH = "x86_64" ]; then
#		# AMD Opteron RHEE3.0
#		LD_ASSUME_KERNEL=2.4.19
#		export LD_ASSUME_KERNEL
#	else
#		#Standard x86 systems
#		LD_ASSUME_KERNEL=2.2.5
#		export LD_ASSUME_KERNEL
#	fi
#fi

gl&hf
 

aldo.mozzi

Newbie
Joined
Jan 4, 2009
Messages
2
Helped
1
Reputation
2
Reaction score
1
Trophy points
1,283
Activity points
1,297
maplelmg libpthread.so.0

I tried to start cdsdoc on Fedora 8 and had the same issue: obServer was not starting. Using ldd I noticed that obServer was missing libjvm.so (java virtual machine). I added the directory <cds_install>/ic610/tools/jre1.50/lib/i386/client/ to the path for searching dynamic libraries in my /etc/ld.so.conf, then ran ldconfig.
After ldconfig, I tried to open a document in cdsdoc; it still complained about obServer, but if I manually ran obServer, it started complaining about the missing web browser.
I made a link named "netscape" to firefox, and then cdsdoc launched firefox, a blank page appeared with only one line saying "Starting..." but the document did not appear.
I suspect obServer should be started with some directory where the documents should be found.
I am still working on this... If I do further steps I'll let you know.

am
 

R00KIE

Full Member level 3
Joined
Jan 19, 2003
Messages
150
Helped
23
Reputation
46
Reaction score
3
Trophy points
1,298
Location
Portugal
Activity points
1,255
export cdsdoc

The link to firefox is needed
netscape -> firefox
Also you need to hunt down all the missing libraries it complains about and put then in any directory you like and add the path to that dir to LD_LIBRARY_PATH.
Problems about java are usually solved by renaming the jre folders that came with the program in question and making a link jre -> jre folder of the system java _and_ it needs to be sun's java not any of the alternatives.
In my experience the LD_ASSUME_KERNEL variable shouldn't even be set for things to work properly.
 

st01liyp

Newbie level 5
Joined
Apr 7, 2006
Messages
10
Helped
0
Reputation
0
Reaction score
0
Trophy points
1,281
Activity points
1,339
tscm libpthread.so.0

I have solved this problem, spend me a lot of time:
there are three reason we don't get cdsdoc working:
1: java want to set LD_ASSUME_KERNEL to current kernel version
2: obServer want LD_ASSUME_KERNEL set to null
3: https need libstdc++-libc6.1-1.so.2
since I am using ubuntu, so this solution is base on ubuntu.


1.edit $INST_DIR/mmsim610/tools/bin/cdsdoc and $INST_DIR/ic610/tools/bin/cdsdoc like this:
#/////////////////////////////////////
if [ $PLATFORM = "lnx86" ]; then
if [ $ARCH = "x86_64" ]; then
# AMD Opteron RHEE3.0
#LD_ASSUME_KERNEL=2.4.19
LD_ASSUME_KERNEL=2.6.27
export LD_ASSUME_KERNEL
else
#Standard x86 systems
LD_ASSUME_KERNEL=2.2.5
export LD_ASSUME_KERNEL
fi
fi
#////////////////////////////////////


2.edit $INST_DIR/mmsim610/tools/bin/obServer and $INST_DIR/mmsim610/tools/bin/obServer like this
if [ $ARCH = "x86_64" ]; then
# AMD Opteron RHEE3.0
# LD_ASSUME_KERNEL=2.4.19
LD_ASSUME_KERNEL=
export LD_ASSUME_KERNEL
3. download compat-libstdc++-296-2.96-135.i386.rpm
tar zxf compat*tgz
sudo apt-get install alien
cd usr/lib
sudo cp libstdc++-2-libc6.1-1-2.9.0.so /lib32/libstdc++-libc6.1-1.so.2


now cdsdoc works fine.
 

edzyj

Newbie level 3
Joined
Jun 24, 2006
Messages
3
Helped
0
Reputation
0
Reaction score
0
Trophy points
1,281
Activity points
1,293
libgcc_s.so.1 and cdsdoc

st01liyp

thanks so much!

i run cadence ic610 on gentoo now!
 

skiptoo

Newbie level 1
Joined
Mar 22, 2009
Messages
1
Helped
0
Reputation
0
Reaction score
0
Trophy points
1,281
Activity points
1,289
cdsdoc ubuntu

st01liyp said:
I have solved this problem, spend me a lot of time:
there are three reason we don't get cdsdoc working:
1: java want to set LD_ASSUME_KERNEL to current kernel version
2: obServer want LD_ASSUME_KERNEL set to null
3: https need libstdc++-libc6.1-1.so.2
since I am using ubuntu, so this solution is base on ubuntu.


1.edit $INST_DIR/mmsim610/tools/bin/cdsdoc and $INST_DIR/ic610/tools/bin/cdsdoc like this:
#/////////////////////////////////////
if [ $PLATFORM = "lnx86" ]; then
if [ $ARCH = "x86_64" ]; then
# AMD Opteron RHEE3.0
#LD_ASSUME_KERNEL=2.4.19
LD_ASSUME_KERNEL=2.6.27
export LD_ASSUME_KERNEL
else
#Standard x86 systems
LD_ASSUME_KERNEL=2.2.5
export LD_ASSUME_KERNEL
fi
fi
#////////////////////////////////////


2.edit $INST_DIR/mmsim610/tools/bin/obServer and $INST_DIR/mmsim610/tools/bin/obServer like this
if [ $ARCH = "x86_64" ]; then
# AMD Opteron RHEE3.0
# LD_ASSUME_KERNEL=2.4.19
LD_ASSUME_KERNEL=
export LD_ASSUME_KERNEL
3. download compat-libstdc++-296-2.96-135.i386.rpm
tar zxf compat*tgz
sudo apt-get install alien
cd usr/lib
sudo cp libstdc++-2-libc6.1-1-2.9.0.so /lib32/libstdc++-libc6.1-1.so.2


now cdsdoc works fine.

I guess you must have a x86_64 arch
For user who uses a i386 arch,just edit the else block in both cdsdoc and obServer file like this
#/////////////////////////////////////
if [ $PLATFORM = "lnx86" ]; then
if [ $ARCH = "x86_64" ]; then
# AMD Opteron RHEE3.0
#LD_ASSUME_KERNEL=2.4.19
#LD_ASSUME_KERNEL=2.6.27
export LD_ASSUME_KERNEL
else
#Standard x86 systems
#LD_ASSUME_KERNEL=2.2.5
LD_ASSUME_KERNEL=2.6.27
export LD_ASSUME_KERNEL
fi
fi
#////////////////////////////////////

and then
sudo cp libstdc++-2-libc6.1-1-2.9.0.so /usr/lib/libstdc++-libc6.1-1.so.2

Thanks a lot "st01liyp", hope everyone good luck! My cdsdoc works just fine!
BTW:My OS is Ubuntu 8.10 with kernel 2.6.27-13
 

fanil

Newbie level 1
Joined
Jun 11, 2009
Messages
1
Helped
0
Reputation
0
Reaction score
0
Trophy points
1,281
Activity points
1,284
cdsdoc +libpthread

skiptoo said:
st01liyp said:
I have solved this problem, spend me a lot of time:
there are three reason we don't get cdsdoc working:
1: java want to set LD_ASSUME_KERNEL to current kernel version
2: obServer want LD_ASSUME_KERNEL set to null
3: https need libstdc++-libc6.1-1.so.2
since I am using ubuntu, so this solution is base on ubuntu.


1.edit $INST_DIR/mmsim610/tools/bin/cdsdoc and $INST_DIR/ic610/tools/bin/cdsdoc like this:
#/////////////////////////////////////
if [ $PLATFORM = "lnx86" ]; then
if [ $ARCH = "x86_64" ]; then
# AMD Opteron RHEE3.0
#LD_ASSUME_KERNEL=2.4.19
LD_ASSUME_KERNEL=2.6.27
export LD_ASSUME_KERNEL
else
#Standard x86 systems
LD_ASSUME_KERNEL=2.2.5
export LD_ASSUME_KERNEL
fi
fi
#////////////////////////////////////


2.edit $INST_DIR/mmsim610/tools/bin/obServer and $INST_DIR/mmsim610/tools/bin/obServer like this
if [ $ARCH = "x86_64" ]; then
# AMD Opteron RHEE3.0
# LD_ASSUME_KERNEL=2.4.19
LD_ASSUME_KERNEL=
export LD_ASSUME_KERNEL
3. download compat-libstdc++-296-2.96-135.i386.rpm
tar zxf compat*tgz
sudo apt-get install alien
cd usr/lib
sudo cp libstdc++-2-libc6.1-1-2.9.0.so /lib32/libstdc++-libc6.1-1.so.2


now cdsdoc works fine.

I guess you must have a x86_64 arch
For user who uses a i386 arch,just edit the else block in both cdsdoc and obServer file like this
#/////////////////////////////////////
if [ $PLATFORM = "lnx86" ]; then
if [ $ARCH = "x86_64" ]; then
# AMD Opteron RHEE3.0
#LD_ASSUME_KERNEL=2.4.19
#LD_ASSUME_KERNEL=2.6.27
export LD_ASSUME_KERNEL
else
#Standard x86 systems
#LD_ASSUME_KERNEL=2.2.5
LD_ASSUME_KERNEL=2.6.27
export LD_ASSUME_KERNEL
fi
fi
#////////////////////////////////////

and then
sudo cp libstdc++-2-libc6.1-1-2.9.0.so /usr/lib/libstdc++-libc6.1-1.so.2

Thanks a lot "st01liyp", hope everyone good luck! My cdsdoc works just fine!
BTW:My OS is Ubuntu 8.10 with kernel 2.6.27-13

that' cool ,you guys save my FF and IC610 ~
 

steve_guo

Member level 1
Joined
Sep 29, 2004
Messages
35
Helped
4
Reputation
8
Reaction score
2
Trophy points
1,288
Activity points
183
opteron environment variable arch

Just open a firefox/mozilla window
then,you can use cdsdoc.
looks stupid but useful,~~
 

R00KIE

Full Member level 3
Joined
Jan 19, 2003
Messages
150
Helped
23
Reputation
46
Reaction score
3
Trophy points
1,298
Location
Portugal
Activity points
1,255
centos x86_64 ld_assume_kernel

I am now installing ic5 and other tools on centos 4.7 and I have stumbled upon this problem too.
So far all I needed to do was install any package for missing libraries.

I've found that at least under centos 4.7 I have no need to comment or change any LD_ASSUME_KERNEL lines (so far at least). To solve this last issue of cdsdoc do the following:

- create a link to firefox ln -s /usr/bin/netscape /usr/bin/firefox

- go to cdsdir/tools/lib and then do
mv libgcc_s.so.1 libgcc_s.so.1_
ln -s /lib/libgcc_s.so.1 libgcc_s.so.1
(for centos it is like this, for other distros libgcc_s.so.1 may be in /usr/lib I think, create the link accordingly)

and thats all, you should have cdsdoc working well.
 

roli

Full Member level 5
Joined
Apr 29, 2001
Messages
246
Helped
9
Reputation
20
Reaction score
9
Trophy points
1,298
Location
'SiliconWafer' Island
Activity points
1,817
Thanks Rookie,
Done exactly what you've advised, and resolved the libgcc error !
but now I get a new error:

===================

12:56pm [centos]> cdsdoc
[1] 11090
12:56pm [centos]> CDSDoc, version 2.1
Copyright © 2000-2003, Cadence Design Systems, Inc.
Starting browser ...
*** NSPlugin Viewer *** WARNING: unhandled variable 17 in NPN_GetValue()
./https: error while loading shared libraries: libstdc++-libc6.1-1.so.2: cannot open shared object file: No such file or directory
*** NSPlugin Viewer *** WARNING: unhandled variable 17 in NPN_GetValue()
*** NSPlugin Viewer *** WARNING: unhandled variable 17 in NPN_GetValue()
*** NSPlugin Viewer *** WARNING: unhandled variable 17 in NPN_GetValue()
*** NSPlugin Viewer *** WARNING: unhandled variable 17 in NPN_GetValue()
Internal error: invalid timerId
obServer: Exiting: exit status: 0

========================
 

Status
Not open for further replies.

Similar threads

Part and Inventory Search

Welcome to EDABoard.com

Sponsor

Top